@font-face {
    font-family: "Young Serif";
    src: url("./assets/fonts/young-serif/YoungSerif-Regular.ttf");
    font-weight: 400;
}

@font-face {
    font-family: "Outfit";
    src: url("./assets/fonts/outfit/Outfit-VariableFont_wght.ttf");
    font-weight: 400 700;
}

:root {
    --white: hsl(0, 0%, 100%);

    --stone-100: hsl(30, 54%, 90%);
    --stone-150: hsl(30, 18%, 87%);
    --stone-600: hsl(30, 10%, 34%);
    --stone-900: hsl(24, 5%, 18%);  

    --brown-800: hsl(14, 45%, 36%);

    --rose-800: hsl(332, 51%, 32%);
    --rose-50: hsl(330, 100%, 98%);


    --font-size: 16px;
    --font-family1: "Outfit";
    --font-family2: "Young Serif";
    --font-weight400: 400;
    --font-weight600: 600;
    --font-weight700: 700;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    flex-direction: column;
    background-color: var(--stone-100);
    min-height: 100vh;
    display: flex;
    align-items: center;
    padding-top: 96px;
}

.main {
    width: 720px;
    border-radius: 15px;
    margin: auto;
    padding: 32px;
    background-color: var(--white);
}

li {
    list-style-position: outside;
    margin-left: 24px;
    padding-left: 16px;
}

img {
    margin-top: 16px;
    width: 100%;
    border-radius: 10px;
}

h1 {
    margin-top: 16px;
    font-family: var(--font-family2);
    font-weight: var(--font-weight600);
}

h2 {
    color: var(--brown-800);
    font-family: var(--font-family2);
    font-weight: var(--font-weight400);
    margin-top: 24px;
}

ul {
    margin-top: 16px;
}

span.bold {
  font-weight: var(--font-weight600);
}

hr {
    margin-top: 24px;
}


.description {
    font-size: var(--font-size);
    margin-top: 16px;
    color: var(--stone-600);
    font-family: var(--font-family1);
}

.preparation-time {
    margin-top: 16px;
    padding: 16px;
    background-color: var(--rose-50);
    border-radius: 10px;
    font-family: var(--font-family1);
}

.preparation-time h2 {
    color: var(--rose-800);
    font-family: var(--font-family1);
    font-weight: var(--font-weight600);
}

.preparation-time li, .ingredients li, .instructions li {
    color: var(--stone-600);
    margin-top: 8px;
    font-family: var(--font-family1);
}

.preparation-time li::marker {
    color: var(--rose-800)
}

.nutrition {
    font-family: var(--font-family1)
}

.nutrition p {
    margin-top: 16px;
}

table {
  width: 100%;
  border-collapse: collapse;
}

tr {
  border-bottom: 1px solid #ddd;
}

tr:last-child {
  border-bottom: none;
}

td {
  padding: 16px 24px;
}

td:last-child {
  color: var(--brown-800);
  font-weight: var(--font-weight700);
}